org.eclipse.microprofile.rest.client.tck.cditests

## Class CDIInterceptorTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.cditests.CDIInterceptorTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CDIInterceptorTest
    extends org.jboss.arquillian.testng.Arquillian

Verifies that CDI interceptors bound to client interface methods are invoked.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CDIInterceptorTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `cleanUp()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testInterceptorInvoked()`
`void` `testInterceptorNotInvokedWhenNoAnnotationApplied()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIInterceptorTest

    public CDIInterceptorTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### cleanUp

    @AfterTest
    public void cleanUp()

#### testInterceptorInvoked

    public void testInterceptorInvoked()
                                throws Exception

Throws:
  `Exception`

#### testInterceptorNotInvokedWhenNoAnnotationApplied

    public void testInterceptorNotInvokedWhenNoAnnotationApplied()
                                                          throws Exception

Throws:
  `Exception`